common:
  js:
    js/entity_browser.common.js: {}
  dependencies:
    - core/drupalSettings
    - core/drupal
    - core/jquery
    - core/drupal.dialog.ajax

pager:
  css:
    theme:
      css/entity_browser.pager.css: {}

entity_browser:
  css:
    theme:
      css/entity_browser.entity_browser.css: {}

entity_list:
  css:
    component:
      css/entity_browser.entity_list.css: {}

iframe:
  css:
    theme:
      css/entity_browser.iframe.css: {}
  js:
    js/entity_browser.iframe.js: {}
  dependencies:
    - core/once
    - entity_browser/common

iframe_selection:
  js:
    js/entity_browser.iframe_selection.js: {}
  dependencies:
    - core/drupalSettings

entity_reference:
  js:
    js/entity_browser.entity_reference.js: {}
  dependencies:
    - entity_browser/common
    - entity_browser/entity_list
    - core/sortable

file_browser:
  css:
    component:
      css/entity_browser.file_browser.css: {}

modal:
  css:
    component:
      css/entity_browser.modal.css: {}
  js:
    js/entity_browser.modal.js: {}
  dependencies:
    - core/drupalSettings
    - core/drupal
    - core/once
    - core/jquery

modal_selection:
  css:
    component:
      css/entity_browser.modal_selection.css: {}
  js:
    js/entity_browser.modal_selection.js: {}
  dependencies:
    - core/drupalSettings

tabs:
  css:
    component:
      css/entity_browser.tabs.css: {}
  js:
    js/entity_browser.tabs.js: {}
  dependencies:
    - core/drupal
    - core/drupalSettings
    - core/once
    - core/jquery

view:
  js:
    js/entity_browser.view.js: {}
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings
    - core/once
    - views/views.ajax

multi_step_display:
  js:
    js/entity_browser.command_queue.js: {}
    js/entity_browser.multi_step_display.js: {}
  dependencies:
    - entity_browser/entity_list
    - core/sortable
    - core/drupal
    - core/once
    - core/jquery
